%define upstream_name    Modem-Vgetty
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11
Epoch:      1

Summary:	Interface to vgetty(8)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Modem/%{upstream_name}-0.03.tar.gz
Patch0:		Modem-Vgetty-0.03-VOCP.patch

BuildArch:	noarch

%description
Modem::Vgetty is an encapsulation object for writing applications for voice
modems using the vgetty(8) or vm(8) package. The answering machines and
sophisticated voice applications can be written using this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p1
# perl path hack
find . -type f | \
    xargs %{__perl} -pi -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc examples ChangeLog README
%{perl_vendorlib}/Modem
%{_mandir}/man3*/*




%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1:0.30.0-11.mga10
+ Revision: 2128036
- Rebuild for patchN deprecation

* Sun Mar 20 2022 umeabot <umeabot> 1:0.30.0-10.mga9
+ Revision: 1804560
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:0.30.0-9.mga8
+ Revision: 1495611
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1:0.30.0-8.mga7
+ Revision: 1269266
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1:0.30.0-7.mga6
+ Revision: 1029906
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1:0.30.0-6.mga6
+ Revision: 932432
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.30.0-5.mga5
+ Revision: 748824
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.30.0-4.mga5
+ Revision: 685408
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.30.0-3.mga4
+ Revision: 512878
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.30.0-2.mga3
+ Revision: 369749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1:0.30.0-1.mga1
+ Revision: 12966
- imported package perl-Modem-Vgetty

